<div>
  <strong>{{damageApplied}}</strong>
  <div class="xmidi-qol-flex-container">
    <div class="flexrow">
      <table >
        <thead>
          <th style="text-align:left;"></th>
          <th style="text-align:right">Dmg</th>
          <th style="text-align:center">Multi</th>
          <th style="text-align:center">Apply</th>
          <th style="text-align:center">Undo</th>
        </thead>

        <tbody>
          {{#each damageList as |damage iid|}}
          <tr>
          <td style="text-align:left;">
            <div class="midi-qol-tooltip">
            <img src="{{damage.tokenImg}}" id="{{damage.tokenId}}" class="midi-qol-target-name" width="30" height="30" style="border:0px" >
              <div class="midi-qol-tooltiptext">
                <div>{{damage.di}}</div>
                <div>{{damage.dr}}</div>
                <div>{{damage.dv}}</div>
              </div>
            </img>
          </div>
            <!--check if this is not being used somewhere
            <label class="midi-qol-target-name" id="{{damage.tokenId}}" style="display:none ;"></label>
            -->
          </td>
          <td style="text-align:right" >
            <div class="midi-qol-tooltip">
              {{damage.dmgSign}}{{damage.hpDamage}}
              {{#if oldTempHP}}
              {{damage.dmgSign}}[{{damage.tempDamage}}] 
              <span class="midi-qol-tooltiptext midi-qol-tooltip-top">{{damage.oldHP}}[{{damage.oldTempHP}}]{{damage.dmgSign}}{{damage.hpDamage}}[{{damage.tempDamage}}]={{damage.newHP}}[{{damage.newTempHP}}]</span>
              {{else}} 
              <span class="midi-qol-tooltiptext midi-qol-tooltip-top">{{damage.oldHP}}{{damage.dmgSign}}{{absDamage}}[{{damage.totalDamage}}]={{damage.newHP}}</span>
              {{/if}}
            </div>
          </td>
         
          <td style="text-align:center;">
            <select id="dmg-multiplier-{{damage.tokenId}}"  title="Choose the multipler for the damage.">
              <option value="-1">Heal</option>
              <option value="x0.25">x1/4</option>
              <option value="x0.5">x1/2</option>
              <option value="1" selected>x1</option>
              <option value="x2">x2</option>
            </select>
          </td>
          <td style="text-align:center">
            <button
              id="apply-{{damage.tokenId}}"
              style="
                width: 22px;
                height: 22px;
                font-size: 10px;
                line-height: 1px;
              "
              aria-label="Click to update {{totalDamage}} x Multiplier accordingly to multiplier."
            >
              <i aria-hidden="true" class="fas fa-check"  title="Click to update {{totalDamage}} accordingly to multiplier."></i>
            </button>
          </td>
          <td style="text-align:center">
            <button
              id="reverse-{{damage.tokenId}}"
              aria-label="Click to undo damage."
              style="
                width: 22px;
                height: 22px;
                font-size: 10px;
                line-height: 1px;
              ">
              <i aria-hidden="true" class="fas fa-undo" title="Click to undo damage" ></i>
            </button>
          </td>
          </tr>
          {{/each}}
        </tbody>
        {{#if needsButtonAll}}
        <tfoot>
          <tr>
            <td style="text-align:left"><strong>ALL</strong></td>
            <td></td>
            <td></td>
            <td style="text-align:center" title="Apply the calculated damage to all tokens"> 
                <button id="all-apply" style="width:22px;height:22px;font-size:10px;line-height:1px">
              <i class="fas fa-check"></i>
                </button>
            </td>
            <td style="text-align:center" title="Reverts damage from all tokens"> 
              <button id="all-reverse" style="width:22px;height:22px;font-size:10px;line-height:1px">
            <i class="fas fa-undo"></i></button>
            </td>
        </tr>
        </tfoot>
        {{/if}}
        
      </table>
    </div>
  </div>
  
</div>
